%define module_version 0.006
%define module_name Data-Page-Pagination
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Const/Fast.pm) perl(DBI.pm) perl(Data/Page.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/File.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/StrictConstructor.pm) perl(MooseX/Types/Moose.pm) perl(Syntax/Feature/Method.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(namespace/autoclean.pm) perl(syntax.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: Data::Page::Pagination - calculates the pagination view
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/ST/STEFFENW/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module calculates the pagination view using a Date::Page object.
The provided methods are simple enough to use them in a template system.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README example
%perl_vendor_privlib/D*

%changelog
* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.006-alt1
- regenerated from template by package builder

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- initial import by package builder

